• Pagina non alterabile
  • Informazioni
  • Allegati


Guida verificata con Ubuntu: 14.04 12.04

Problemi in questa pagina? Segnalali in questa discussione.

Introduzione

In questa guida sono indicate le istruzioni per installare Pepper Flash Player su Chromium e altri browser che ne utilizzano il codice sorgente (ad esempio Opera nella versione 26 e successive).

Tramite Pepper Flash il plugin Adobe Flash Player sarà aggiornato all'ultima versione disponibile (superiore alla 11.2, ultima rilasciata da Adobe per i sistemi Gnu-Linux).

Il pacchetto pepperflashplugin-nonfree è considerato obsoleto ed è stato sostituito dal pacchetto adobe-flashplugin. Per istruzioni relative all'installazione e per altre informazioni consultare questa pagina.

In Ubuntu 14.04 i normali aggiornamenti di sistema mantengono all'ultima versione disponibile il pacchetto pepperflashplugin-nonfree, ma non la versione di Adobe Flash Player installata. Per aggiornare il plugin, seguire queste indicazioni.

Installazione

Ubuntu 14.04

  1. Installare il pacchetto pepperflashplugin-nonfree.

  2. A causa di un bug alcune pagine non riconoscono la versione corretta di flashplayer (come ad esempio il gioco FarmVille 2 su Facebook). Una volta installato il software, è necessario aprire una finestra di terminale e digitare il comando:

    sudo sed -i -e 's/\^LNX/LNX/' -e 's/\^LNX/.*LNX/' /etc/chromium-browser/default

Ubuntu 12.04

  1. Attivare i repository skunk/pepper-flash digitando in una finestra di terminale i comandi:

    sudo add-apt-repository ppa:skunk/pepper-flash
    sudo apt-get update
  2. Installare il pacchetto pepflashplugin-installer.

Configurazione

Ubuntu 14.04

Digitare in una finestra di terminale il comando:

sudo update-pepperflashplugin-nonfree --install 

Ubuntu 12.04

Per attivare il plugin e fare in modo che possa essere utilizzato da Chromium:

  1. Aprire con un editor di testo e i privilegi di amministrazione il file /etc/chromium-browser/default e incollare alla fine del file la riga:

    . /usr/lib/pepflashplugin-installer/pepflashplayer.sh
  2. Salvare le modifiche e chiudere il file.

Attenzione a non tralasciare il punto ad inizio riga.

Aggiornamento

Ubuntu 14.04

Per aggiornare il plugin seguire la procedura descritta di seguito.

  1. Verificare l'ultima versione di Adobe Flash Player disponibile, digitando il seguente comando in una finestra di terminale:

    sudo update-pepperflashplugin-nonfree --status
  2. Qualora il comando generi un risultato simile al seguente:

    Flash Player version installed on this system  : 18.0.0.204
    Flash Player version available on upstream site: 18.0.0.204

    in cui coincidono le versioni del plugin, non è necessario aggiornare. Al contrario, nel caso in cui si abbia un risultato simile al seguente:

    Flash Player version installed on this system  : 15.0.0.189
    Flash Player version available on upstream site: 18.0.0.204
    eseguire il passaggio successivo.
  3. Digitare il comando:

    sudo update-pepperflashplugin-nonfree --install
    e attendere la fine del processo di aggiornamento.

È inoltre possibile rendere automatica questa procedura attraverso la creazione di uno script:

  1. Aprire un editor di testo con i privilegi di amministrazione e creare il file /etc/cron.daily/pepperflash-update inserendovi le seguenti stringhe:

    #!/bin/bash
    version=($(update-pepperflashplugin-nonfree --status|grep -oE "[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+"))
    if [[ ${version[0]} == ${version[1]} ]]; then
        exit
    else
        update-pepperflashplugin-nonfree --install
    fi
  2. Salvare le modifiche e chiudere il file.
  3. Rendere eseguibile lo script digitando in una finestra di terminale:

    sudo chmod +x /etc/cron.daily/pepperflash-update

Ubuntu 12.04

Per mantenere aggiornato il pacchetto pepflashplugin-installer eseguire periodicamente i normali aggiornamenti di sistema.

Verifica

  1. Riavviare il browser.
  2. Incollare nella barra degli indirizzi la stringa:

    chrome://plugins

    e selezionare Invio.

  3. Verificare la versione di Adobe Flash Player .

E' possibile che vengano visualizzate due versioni se si utilizza la versione 11.2 per gli altri browser. In ogni caso Chromium utilizzerà la versione più recente.

Ulteriori risorse


CategoryInternet CategoryMultimedia